Skip to main content
Returns all Polymarket fills across all wallets, enriched with market metadata. Supports time range filtering, minimum amount, and token filtering.

Request

GET /v3/trades

Query parameters

ParameterTypeDefaultDescription
afterintegerStart of time range (Unix timestamp)
beforeintegerEnd of time range (Unix timestamp)
token_idstringFilter by outcome token
builderstringFilter by builder code (hex)
min_amountintegerMinimum maker_amount_filled (raw 6-decimal)
orderstringdescasc or desc
limitinteger100Max 300
offsetinteger0Pagination offset

Example

curl https://api.polynode.dev/v3/trades?limit=1
{
  "trades": [
    {
      "id": "0xd4064c6d77afc87390ae9c371bb87d7f4687ac8f2cb1e600ad695928397c1dce_1483",
      "maker": "0x84cfffc3f16dcc353094de30d4a45226eccd2f63",
      "taker": "0xe2222d279d744050d28e00520010520000310f59",
      "maker_asset_id": "0",
      "taker_asset_id": "9593514921851392841100196009218771406639098519115981476479629056691973100726",
      "maker_amount": 49.301,
      "taker_amount": 70.43,
      "fee": 0.4437,
      "price": 0.7,
      "size": 70.43,
      "timestamp": "1778674687",
      "transaction_hash": "0xd4064c6d77afc87390ae9c371bb87d7f4687ac8f2cb1e600ad695928397c1dce",
      "order_hash": "0xad6a2b6ebf9537d72374fe77a41a7fc285906827a1adddda28948d37c09a6640",
      "builder": "0x0000000000000000000000000000000000000000000000000000000000000000",
      "side": 0,
      "role": "maker",
      "direction": "BUY",
      "market": "Will Racing Club de Lens win on 2026-05-13?",
      "slug": "fl1-rcl-psg-2026-05-13-rcl",
      "outcome": "No",
      "outcome_index": 1,
      "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/league-fl1.png",
      "condition_id": "0x8e4ef7519b5dc20cebc4c19a07abae587e4abf889e415169ec6b1477d796e1b5"
    }
  ],
  "rows_returned": 1,
  "has_more": true,
  "offset": 0,
  "limit": 1,
  "elapsed_ms": 2
}

Response fields

Each trade contains the same fields as Wallet Trades, including market enrichment (market, slug, outcome, image, condition_id), computed price and size in USD, order_hash, and direction. On global trades (no wallet context), role is always "maker" and direction reflects the maker’s action. Use the Wallet Trades endpoint for wallet-specific perspective.